Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.urls
Class StandardXYZURLGenerator

    java.lang.Object
      org.jfree.chart.urls.StandardXYURLGenerator
          org.jfree.chart.urls.StandardXYZURLGenerator

All Implemented Interfaces:
  java.io.Serializable, XYURLGenerator, XYZURLGenerator

    public class StandardXYZURLGenerator

extends StandardXYURLGenerator
implements XYZURLGenerator

A URL generator.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.urls.StandardXYURLGenerator
`DEFAULT_ITEM_PARAMETER, DEFAULT_PREFIX, DEFAULT_SERIES_PARAMETER`

Constructor Summary
`StandardXYZURLGenerator()`

Method Summary
`java.lang.String` | `generateURL(XYZDataset dataset, int series, int item)` Generates a URL for a particular item within a series.

Methods inherited from class org.jfree.chart.urls.StandardXYURLGenerator
`equals, generateURL`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.urls.XYURLGenerator
`generateURL`

Constructor Detail

### StandardXYZURLGenerator

    public StandardXYZURLGenerator()

Method Detail

### generateURL

    public java.lang.String generateURL(XYZDataset dataset,
                                        int series,
                                        int item)

  Generates a URL for a particular item within a series.

  Specified by:
    `generateURL` in interface `XYZURLGenerator`
  Parameters:
    `dataset` - the dataset.
    `series` - the series index (zero-based).
    `item` - the item index (zero-based).
  Returns:
    A string containing the generated URL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.